Name:           minitube
Version:        1.1
Release:        4%{?dist}
Summary:        A YouTube desktop client

Group:          Applications/Multimedia
# License info:
# src/iconloader/qticonloader.cpp LGPLv2.1 with exceptions or GPLv3
# src/urllineedit.cpp LGPLv2 with exceptions or GPLv3
# src/searchlineedit.cpp LGPLv2.1 with exceptions or GPLv3
# src/flickcharm.cpp GPLv2 or GPLv3
# src/minisplitter.cpp LGPLv2.1
# src/minisplitter.h LGPLv2.1
# src/urllineedit.h LGPLv2 with exceptions or GPLv3
# src/searchlineedit.h LGPLv2.1 with exceptions or GPLv3
# src/iconloader/qticonloader.h LGPLv2.1 with exceptions or GPLv3
# src/flickcharm.h GPLv2 or GPLv3
# All other files are GPLv3+ as per INSTALL file
# The source files combined together into minitube binary are GPLv3, and the .qm files are GPLv3+
License:        GPLv3 and GPLv3+
URL:            http://flavio.tordini.org/minitube
Source0:        http://flavio.tordini.org/files/%{name}/%{name}-%{version}.tar.gz

# fixes requirement on bundled qtsingleapplication
Patch0:         qtsingleapp.patch
# Fix breakage caused by qtsingleapplication-add-api.patch
Patch1:         QString.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{?_qt4_version:Requires: qt4 >= %{_qt4_version}}

BuildRequires:  qt-devel
BuildRequires:  desktop-file-utils
BuildRequires:  phonon-devel
BuildRequires:  qtsingleapplication-devel
Requires:       hicolor-icon-theme
Requires:       xine-lib-extras-freeworld


%description
Minitube is a YouTube desktop client.
With it you can watch YouTube videos in a new way:
you type a keyword, Minitube gives you an endless video stream.
Minitube is not about cloning the original YouTube web interface,
it aims to create a new TV-like experience.

%prep
%setup -q -n %{name}

# Fix spurious-executable-perm
chmod -x src/*{h,cpp}

# remove bundled copy of qtsingleapplication
rm -rf src/qtsingleapplication

%patch0 -p 1

%patch1 -p 0

%build
%{_qt4_qmake} PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications/ \
  --delete-original \
        %{buildroot}%{_datadir}/applications/%{name}.desktop


# find_lang magic:
%find_lang %{name} --all-name --with-qt

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING LICENSE.LGPL CHANGES TODO INSTALL
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/512x512/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
# find_lang doesn't find these for some reason.
# Black magic from https://bugzilla.redhat.com/show_bug.cgi?id=584866#c4
%lang(ar) %{_datadir}/%{name}/locale/ar.qm
%lang(es) %{_datadir}/%{name}/locale/es.qm
%lang(gl) %{_datadir}/%{name}/locale/gl.qm
%lang(lat) %{_datadir}/%{name}/locale/lat.qm
%lang(uk) %{_datadir}/%{name}/locale/uk.qm


%changelog
* Mon Aug 09 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 1.1-4
- add Req: xine-lib-extras-freeworld
- add license information
- add INSTALL file
- use %%find_lang + magic on locale files
- patch to use system qtsingleapplication
- del bundled qtsingleapplication

* Wed Aug 04 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 1.1-3
- add %%post %%postun %%posttrans as suggested by Leigh Scott
- validate desktop file
- remove Req: xine-lib-extras-freeworld
- add Req: desktop-file-utils

* Wed Aug 04 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 1.1-2
- add Req: xine-lib-extras-freeworld

* Sun Aug 01 2010 Magnus Tuominen <magnus.tuominen@gmail.com> - 1.1-1
- initial build
